com.qihoo.videocloud

## Class QHVCLentCodec

- java.lang.Object
- - com.qihoo.videocloud.QHVCLentCodec

-     public class QHVCLentCodec
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `LENT_CODEC`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `QHVCLentCodec()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `downloadAndInstall(Context context)` 设置是否开启金山265，开启后在APP生命周期内不支持关闭
    `static java.lang.String` | `getLentSoInstallPath(Context context)`
    `static java.lang.String` | `getPluginDir()`
    `static boolean` | `isLentSoInApk(Context context)`
    `static void` | `setDebug(boolean debug)` 设置是否开启调试模式，仅在`downloadAndInstall(Context)`前调用有效
    `static boolean` | `supportLent265dec(Context context)` 是否支持金山H265解码库

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LENT_CODEC

          public static final java.lang.String LENT_CODEC

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### QHVCLentCodec

          public QHVCLentCodec()

  - ### Method Detail

    - #### downloadAndInstall

          public static void downloadAndInstall(Context context)

      设置是否开启金山265，开启后在APP生命周期内不支持关闭
      Parameters:
        `context` - context

    - #### setDebug

          public static void setDebug(boolean debug)

      设置是否开启调试模式，仅在`downloadAndInstall(Context)`前调用有效
      Parameters:
        `debug` - true 开启调试模式；false 不开启调试模式

    - #### supportLent265dec

          public static boolean supportLent265dec(Context context)

      是否支持金山H265解码库

    - #### getLentSoInstallPath

          public static java.lang.String getLentSoInstallPath(Context context)

    - #### isLentSoInApk

          public static boolean isLentSoInApk(Context context)

    - #### getPluginDir

          public static java.lang.String getPluginDir()